<!DOCTYPE html>
<html lang="fr">
<head>
    <meta charset="UTF-8">
    {% block title %}{% endblock %}
    <link rel="stylesheet" href="/static/build/public/css/app.css">
    <link href="/static/images/favicon.ico" rel="icon" type="image/x-icon" />
</head>
<body>
    {% block content %}{% endblock %}

    <script type="text/javascript" src="//cdnjs.cloudflare.com/ajax/libs/socket.io/1.3.6/socket.io.min.js"></script>
    <script type="text/javascript" src="/static/build/public/js/app.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.0.1/Chart.bundle.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/Chart.js/2.0.1/Chart.js"></script>

    <script>
                function editName(e) {

            e.parentNode.style.display = 'none';


            let theFirstChild = e.parentNode.nextSibling;

            let input = document.createElement("div");

            input.classList.add("field");
            input.classList.add("has-addons");
            input.classList.add("has-text-centered");

            input.innerHTML = "" +
                "<div class='control'>" +
                "<input class='input' type='text' placeholder='nouveau nom'>" +
                "</div>" +
                "<div class='control'>" +
                "<a class='button is-success' onclick='validRename(this)'>" +
                "<i class='fas fa-check'></i>" +
                "</a>" +
                "<a class='button is-danger' onclick='cancelRename(this)'>" +
                "<i class='fas fa-times'></i>" +
                "</a>" +
                "</div>" +
                "</div>";

            theFirstChild.parentNode.insertBefore(input, theFirstChild);
        }

        function cancelRename(e) {

            e.parentNode.parentElement.style.display = 'none';

            let name = e.parentNode.parentElement.parentElement.firstChild.nextSibling;

            name.style.display = 'block';
        }

        function validRename(e) {

            let valRename = e.parentNode.parentElement.querySelector("input").value;

            let getId = e.parentNode.parentElement.parentElement.firstChild.nextSibling.nextSibling.nextSibling.nextSibling.id;

            let parseId = getId.slice(4);
            let idLenght = parseId.length;

            let route = parseId.substring(0, idLenght -1);
            let id = parseId.substring(idLenght -1, idLenght);

            if(route === "Sensor") {
                route = "sensorName";
            } else {
                route = "apiName";
            }

            let request = new XMLHttpRequest();
            request.open('POST', '/'+ route +'/'+ id +'/' + valRename, true);
            request.setRequestHeader('Content-Type', 'application/x-www-form-urlencoded; charset=UTF-8');

            request.onload = function() {
              if (request.status >= 200 && request.status < 400) {
                // Success!

                e.parentNode.parentElement.style.display = 'none';
                let name = e.parentNode.parentElement.parentElement.firstChild.nextSibling;
                name.style.display = 'block';

                name.firstChild.nextSibling.innerHTML = request.responseText;

              } else {
                // We reached our target server, but it returned an error
              }
            };

            request.onerror = function() {
              // There was a connection error of some sort
            };

            request.send();
        }

    var canvas = document.getElementById("chart");
    var ctx = canvas.getContext('2d');

    var chart = new Chart(ctx, {
    // The type of chart we want to create
    type: 'line',

    // The data for our dataset
    data: {
        labels: [
          {% for item in sortResults %}
              {% if item['temperature'] != None %}
                  "{{ item['date_releve'] }}",
              {% endif %}
          {% endfor %}
        ],
        datasets: [{
            label: 'Température (°C)',
              strokeColor: "rgba(255, 0, 0,1)",
              pointColor: "rgba(255, 0, 0,1)",
        fill: false,
      lineTension: 0.1,
      backgroundColor: "red",
      borderColor: "red", // The main line color
      borderCapStyle: 'square',
      borderDash: [], // try [5, 15] for instance
      borderDashOffset: 0.0,
      borderJoinStyle: 'miter',
      pointBorderColor: "black",
      pointBackgroundColor: "red",
      pointBorderWidth: 1,
      pointHoverRadius: 8,
      pointHoverBackgroundColor: "red",
      pointHoverBorderColor: "red",
      pointHoverBorderWidth: 3,
      pointRadius: 4,
      pointHitRadius: 10,
            data: [
                {% for item in sortResults %}
                  {% if item['temperature'] != None %}
                    {{ item['temperature']}},
                  {% endif %}
                {% endfor %}
          ]
        }, {
            label: 'Humidité (%)',
            strokeColor: "rgba(255, 0, 0,1)",
              pointColor: "rgba(255, 0, 0,1)",
        fill: false,
      lineTension: 0.1,
      backgroundColor: "blue",
      borderColor: "blue", // The main line color
      borderCapStyle: 'square',
      borderDash: [], // try [5, 15] for instance
      borderDashOffset: 0.0,
      borderJoinStyle: 'miter',
      pointBorderColor: "black",
      pointBackgroundColor: "blue",
      pointBorderWidth: 1,
      pointHoverRadius: 8,
      pointHoverBackgroundColor: "blue",
      pointHoverBorderColor: "blue",
      pointHoverBorderWidth: 3,
      pointRadius: 4,
      pointHitRadius: 10,
            data: [
                {% for item in sortResults %}
                  {% if item['temperature'] != None %}
                    {{ item['humidity']}},
                  {% endif %}
                {% endfor %}
            ]
        }]
    },

    // Configuration options go here
    options: {
        scaleStartValue: 0,
        scaleShowVerticalLines: true,
        scaleShowGridLines : true,
        barShowStroke : true,
        scaleShowLabels: true,
    }
});
    </script>
</body>
</html>